LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY mux2_1 IS
	PORT(	A,B : IN STD_LOGIC_VECTOR(7 DOWNTO 0);
		C: IN STD_LOGIC;
		S: OUT STD_LOGIC_VECTOR(7 DOWNTO 0) 
	);
END ENTITY mux2_1;

ARCHITECTURE fdd_mux2_1 of mux2_1 IS
BEGIN
	PROCESS(C) IS 	
	BEGIN		
		IF RISING_EDGE(C) THEN
			S <= A;
		ELSE
			S <= B;
		END IF;
	END PROCESS;
END ARCHITECTURE; 
